curl --location --request PUT 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow", {
method: "PUT",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.put(url, headers=headers)
print(response.json())
{
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"following": true
}
Tasks
Follow Task
Follow a task to receive its notifications.
PUT
/
api
/
v1
/
tasks
/
{task_id}
/
follow
curl --location --request PUT 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow", {
method: "PUT",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.put(url, headers=headers)
print(response.json())
{
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"following": true
}
Idempotent — following an already-followed task succeeds.
curl --location --request PUT 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow", {
method: "PUT",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/follow"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.put(url, headers=headers)
print(response.json())
{
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"following": true
}
⌘I